Page MenuHomePhabricator

Links from Flow topics to special pages are incorrectly included in link tables
Closed, ResolvedPublic

Description

This should have the same behavior as core for all namespaces.


Reported at WP:VPT on enwiki.

See https://en.wikipedia.org/wiki/Special:WhatLinksHere/Special:Preferences for an example. MediaWiki core does not include links to Special: pages in WhatLinksHere. Flow, however, does include these links in link tables.

This is confusing and should not happen, not least because the WhatLinksHere form does not list Special: in the namespace dropdown.

Event Timeline

TTO created this task.Aug 21 2015, 7:40 AM
TTO raised the priority of this task from to Needs Triage.
TTO updated the task description. (Show Details)
TTO added a project: StructuredDiscussions.
TTO added subscribers: TTO, PrimeHunter.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 21 2015, 7:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope triaged this task as Normal priority.Aug 26 2015, 11:51 PM
Catrope added a subscriber: Catrope.
Catrope set Security to None.
Catrope added a subscriber: matthiasmullie.

Change 234972 had a related patch set uploaded (by Matthias Mullie):
Don't include Special pages as wiki links

https://gerrit.wikimedia.org/r/234972

Change 234972 merged by jenkins-bot:
Don't include virtual pages as wiki links

https://gerrit.wikimedia.org/r/234972

TTO added a comment.Sep 1 2015, 1:50 AM

Note for QA people: this is difficult to test for Media: namespace due to T110878. You will have to manually query the DB

Also, already-existing cases will not be fixed until T110326: Run maintenance/FlowFixLinks.php is done.

Checked in betalabs enwiki: Special pages do not list links from Flow.

DannyH closed this task as Resolved.Sep 14 2015, 5:05 PM
DannyH added a subscriber: DannyH.